Package: groovy.util.slurpersupport

## [Java] Class NodeParents

- groovy.util.slurpersupport.NodeParents

-     @Deprecated
      public class NodeParents
      extends NodeChildren

  Lazy evaluated representation of parent nodes without duplicates

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeParents (GPathResult parent, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `getNextNode(Iterator iter)`
    `` | `public Iterator` | `nodeIterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NodeChildren` | `appendNode, build, childNodes, find, findAll, getNextNode, hasNext, hasNext, iterator, next, next, nodeIterator, parents, remove, remove, replaceBody, replaceNode, size, text, writeTo`
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, createIterator, declareNamespace, depthFirst, doCall, doCall, equals, find, findAll, getAt, getAt, getAttribute, getBody, getProperty, hasNext, hasNext, hasNext, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, next, next, next, nodeIterator, parent, parents, plus, pop, putAt, remove, remove, remove, replaceBody, replaceNode, setAttribute, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public NodeParents(GPathResult parent, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### protected Object getNextNode(Iterator iter)

    - #### public Iterator nodeIterator()